package MyWeb::App;
use Dancer2;

our $VERSION = '0.1';

get '/' => sub {
    template 'index';
};

post '/convert' => sub {
	my %brailleTable = (
	    "1"	=>	"⠼⠁",
	    "2"	=>	"⠼⠃",
	    "3"	=>	"⠼⠉",
	    "4"	=>	"⠼⠙",
	    "5"	=>	"⠼⠑",
	    "6"	=>	"⠼⠋",
	    "7"	=>	"⠼⠛",
	    "8"	=>	"⠼⠓",
	    "9"	=>	"⠼⠊",
	    "0"	=>	"⠼⠚",
	    "A"	=>	"⠠⠁",
	    "B"	=>	"⠠⠃",
	    "C"	=>	"⠠⠉",
	    "D"	=>	"⠠⠙",
	    "E"	=>	"⠠⠑",
	    "F"	=>	"⠠⠋",
	    "G"	=>	"⠠⠛",
	    "H"	=>	"⠠⠓",
	    "I"	=>	"⠠⠊",
	    "J"	=>	"⠠⠚",
	    "K"	=>	"⠠⠅",
	    "L"	=>	"⠠⠇",
	    "M"	=>	"⠠⠍",
	    "N"	=>	"⠠⠝",
	    "O"	=>	"⠠⠕",
	    "P"	=>	"⠠⠏",
	    "Q"	=>	"⠠⠟",
	    "R"	=>	"⠠⠗",
	    "S"	=>	"⠠⠎",
	    "T"	=>	"⠠⠞",
	    "U"	=>	"⠠⠥",
	    "V"	=>	"⠠⠧",
	    "W"	=>	"⠠⠺",
	    "X"	=>	"⠠⠭",
	    "Y"	=>	"⠠⠽",
	    "Z"	=>	"⠠⠵",
	    "a"	=>	"⠁",
	    "b"	=>	"⠃",
	    "c"	=>	"⠉",
	    "d"	=>	"⠙",
	    "e"	=>	"⠑",
	    "f"	=>	"⠋",
	    "g"	=>	"⠛",
	    "h"	=>	"⠓",
	    "i"	=>	"⠊",
	    "j"	=>	"⠚",
	    "k"	=>	"⠅",
	    "l"	=>	"⠇",
	    "m"	=>	"⠍",
	    "n"	=>	"⠝",
	    "o"	=>	"⠕",
	    "p"	=>	"⠏",
	    "q"	=>	"⠟",
	    "r"	=>	"⠗",
	    "s"	=>	"⠎",
	    "t"	=>	"⠞",
	    "u"	=>	"⠥",
	    "v"	=>	"⠧",
	    "w"	=>	"⠺",
	    "x"	=>	"⠭",
	    "y"	=>	"⠽",
	    "z"	=>	"⠵",
	    "\\."	=>"⠲",
	    ","	=>	"⠂",
	    "\\?"	=>"⠦",
	    ";"	=>	"⠆",
	    "!"	=>	"⠖",
	    "<"	=>	"⠦",
	    ">"	=>	"⠴",
	    "\\ "	=>"⠶",
	    "-"	=>	"⠤",
	    "'"	=>	"⠄"
	);

	my $text = body_parameters->get('value');
	my @characterArray = keys(%brailleTable);
	my $braille = "";

	for my $c (split //, $text) {
		foreach my $character (@characterArray){
			if ($character eq $c) {
	    		$braille = $braille.%brailleTable{$c};
			}
		}
	}
	return  $braille;


};

true;
